
        function []=plotSols(obj,X_d,varargin)
            nrPoints=(nargin)/2-1;
              %%%%%%%%%%%%%%%%%%%%%%%%%%
              % collect bounding boxes %
              %%%%%%%%%%%%%%%%%%%%%%%%%%


              [pt_min_Cont, pt_max_Cont] = obj.container.getBoundingBox();
              vy1_min1 = pt_min_Cont(1);
              vy2_min1 = pt_min_Cont(2);
              vy1_max1 = pt_max_Cont(1);
              vy2_max1 = pt_max_Cont(2);
              if obj.nrDesign >0
                vy1_min2 = inf;
                vy2_min2 = inf;
                vy1_max2 = -inf;
                vy2_max2 = -inf;
              end  
              for k=1:obj.nrDesign
                [pt_min_Des, pt_max_Des] = obj.design{k}.getBoundingBox(X_d(obj.xcount(1,k):obj.xcount(2,k)));
                vy1_min2 = min(pt_min_Des(1),vy1_min2);
                vy2_min2 = min(pt_min_Des(2),vy2_min2);
                vy1_max2 = max(pt_max_Des(1),vy1_max2);
                vy2_max2 = max(pt_max_Des(2),vy2_max2);
              end


              y1_max = max(vy1_max1,vy1_max2);
              y1_min = min(vy1_min1,vy1_min2);
              y2_max = max(vy2_max1,vy2_max2);
              y2_min = min(vy2_min1,vy2_min2);

              y1Range = y1_max-y1_min+0.5;
              y2Range = y2_max-y2_min+0.6;

              width = 14;

              height = y2Range/y1Range*width;
              
              %initialize figure

              fh = fig('width', width, 'height', height);

              %%%%%%%%%%%%%%%%%%
              % plot container %
              %%%%%%%%%%%%%%%%%%
              hold on
              obj.container.plotContainer();

              %%%%%%%%%%%%%%%%
              % plot  designs %
              %%%%%%%%%%%%%%%%

              for k=1:obj.nrDesign                  
                hold on
                obj.design{k}.plotDesign(X_d(obj.xcount(1,k):obj.xcount(2,k)));
              end

              %%%%%%%%%%%%%%%
              % plot points %
              %%%%%%%%%%%%%%%
              for i=1:nrPoints
                  
                  Y=varargin{2*i-1};
                  color=varargin{2*i};
                  if size(Y,1)~=0
                    
                    scatter(Y(:,1),Y(:,2),'MarkerEdgeColor','black','MarkerFaceColor',color);
                  end          
              end
              
              
              
              %%%%%%%%%%%%%%%%%%%
              % plot hyperplanes%
              %%%%%%%%%%%%%%%%%%%
              %fixed Hyperplanes
              ID=obj.xcount(2,obj.nrDesign);
              for i=1:obj.nrFixedHyp
                  n=obj.fixedHyp{i};
                  n1=n(1);
                  n2=n(2);
                  beta=X_d(ID+1);
                  %first point
                  if abs(n1)>0.0001
                    hy1max=(beta-n2*y2_max)/n1;
                    if hy1max >y1_max
                        P1=[y1_max;(beta-n1*y1_max)/n2];
                    else
                        P1=[hy1max;y2_max];
                    end
                  else
                        P1=[y1_max;(beta-n1*y1_max)/n2]; 
                  end
                  %second point
                  if abs(n1)>0.0001
                    hy1min=(beta-n2*y2_min)/n1;
                    if hy1min <y1_min
                        P2=[y1_min;(beta-n1*y1_min)/n2];
                    else
                        P2=[hy1min;y2_min];
                    end
                  else
                        P2=[y1_min;(beta-n1*y1_min)/n2]; 
                  end
                  hold on
                  plot([P1(1),P2(1)],[P1(2),P2(2)])
                  ID=ID+1;
              end
              %free Hyperplanes
              ID=obj.xcount(2,obj.nrDesign)+obj.nrFixedHyp;
              for i=1:obj.nrFreeHyp
                  n1=X_d(ID+1);
                  n2=X_d(ID+2);
                  beta=X_d(ID+3);
                  %first point
                  if abs(n1)>0.0001
                    hy1max=(beta-n2*y2_max)/n1;
                    if hy1max >y1_max
                        P1=[y1_max;(beta-n1*y1_max)/n2];
                    else
                        P1=[hy1max;y2_max];
                    end
                  else
                        P1=[y1_max;(beta-n1*y1_max)/n2]; 
                  end
                  %second point
                  if abs(n1)>0.0001
                    hy1min=(beta-n2*y2_min)/n1;
                    if hy1min <y1_min
                        P2=[y1_min;(beta-n1*y1_min)/n2];
                    else
                        P2=[hy1min;y2_min];
                    end
                  else
                        P2=[y1_min;(beta-n1*y1_min)/n2]; 
                  end
                  hold on
                  plot([P1(1),P2(1)],[P1(2),P2(2)])
                  ID=ID+3;
              end
              
              %settings on picture
              grid on;

              set(gca, 'DataAspectRatio', [1 1 1]);
              set(gca, 'Units', 'centimeters');
              xlim([y1_min-0.1, y1_max+0.1]);
              ylim([y2_min-0.1, y2_max+0.1]);
              
              xlabel('');
              ylabel('');
              title('');

              


            end


